﻿# 面取りツール

## バージョン
1.0.2
## 概要
- 本ツールは、穴属性のある穴に面取り（C,R）処理を行うiCAD SX用ツールです[^1]  
[^1]: * 穴属性のない穴、直線部の面取りも可  
	* 穴属性のある穴の面取りは集合演算（削るコマンド）、直線部・ 穴属性のない穴の面取りはiCAD標準面取りコマンドにて行っています  
	* 穴属性のある穴の一部が欠けている箇所は面取りできません

## 導入前の注意事項
- 導入前に必ず、**iCADインストールフォルダごとバックアップ**を作成してください。
- 本ツールはiCADのSDKを利用して作成されています。あらかじめiCAD SX の.NET連携機能を有効にしてください。
  - .NET連携機能有効化の手順
  1. スタートメニュー → iCAD SX 環境設定ツール → .NET連携セットアップ を起動する。
  2. ポート番号を「3999」（初期設定値のまま）にし、「.NET連携を有効にする」のチェックをONにする。
- 本ツールはあらかじめテストをしてから配布をしておりますが、万が一損害が生じた場合の一切の責任を負いかねますので、ご了承ください。

## テスト実施済環境
### iCAD SXのバージョン
V8L3
### OS
Windows 11

## インストール
1. ダウンロードファイルを解凍する
2. 解凍した**ChamferTool.exe**を**iCADインストールフォルダ\USER\BIN**へコピー

## 使用方法
1. ChamferTool.exeの実行
	##### コマンドメニューもしくはアイコンメニューへ登録
	- 任意でコマンドメニューもしくはアイコンメニューへ登録してください。
	##### ChamferTool.exeの実行
	- 登録したメニュー（コマンドメニュー、アイコンメニュー）　　
	- iCAD_キー入力領域からのexe実行`;EXEC /%ICADDIR%\USER\BIN\ChamferTool.exe/ @GO`　
	- iCAD_アプリ実行
	- exeの直接起動  
	上記各方法により実行できます。
2. 面取り寸法を入力  
    - アプリ終了時、入力寸法を保持します
3. 面取り実行
    - 各寸法値下ボタン（C,R）１か所を押す
4. 作成（iCAD画面）
	- エッジを選択（複数選択可）
	- 右クリック GO
5. 終了時は✕ボタンで終了

### 面取りの編集
1. 円筒部面取り（穴属性無）
    - iCAD標準面取りコマンドでの編集は**可**
	- iCAD画面上の面取りコマンド　もしくは　面取りツール「コマンド実行 C R」にて編集を行ってください
2. 円筒部面取り（穴属性有）
    - iCAD標準面取りコマンドでの編集は**不可**
	- 「削除」「部品構成要素」コマンドにて面取り要素を削除し、新規面取りを実行してください
3. 直線部面取り
    - iCAD標準面取りコマンドでの編集は**可**
	- iCAD画面上の面取りコマンド　もしくは　面取りツール「コマンド実行 C R」にて編集を行ってください

## 著作権/利用条件/免責等について
* 本プログラムに関する著作権等の知的財産権はものづくりのススメ-しれっとプロジェクトに帰属します
* 本プログラムは一切の保証なく、現状で提供されるものであり、正常動作等について作者は保証を行いません
* 本プログラムに関して発生するいかなる問題も利用者の責任により解決されるものとします
* 本プログラムに関して発生するいかなる損害に対しても作者は責任を負いません

上記に同意される場合のみ、本プログラムをご利用ください

## 連絡先
本プログラムに関する不具合、ご要望等は[「ものづくりのススメ」お問い合わせフォーム](https://forms.gle/99xG3r8NDN7NX5QH9)よりご連絡ください。

---
Copyright (c) 2024 ものづくりのススメ-しれっとプロジェクト all aights reserved. 